(define-module (termenv-package)
  #:use-module (gnu packages)
  #:use-module (gnu packages autotools)
  #:use-module (gnu packages guile)
  #:use-module (gnu packages guile-xyz)
  #:use-module (gnu packages pkg-config)
  #:use-module (gnu packages texinfo)
  #:use-module (guix build-system gnu)
  #:use-module (guix download)
  #:use-module (guix gexp)
  #:use-module ((guix licenses) #:prefix license:)
  #:use-module (guix packages)
  #:use-module (srfi srfi-1))

(define-public guile-termenv
  (package
    (name "guile-termenv")
    (version "0.1")
    (source
     (local-file
      "../.." "guile-termenv-checkout"
      #:recursive? #t
      #:select? (lambda (file stat)
		  (not (any (lambda (my-string)
			      (string-contains file my-string))
			    (list ".git" ".dir-locals.el" "guix.scm"))))))
    (build-system gnu-build-system)
    (arguments
     (list
      #:make-flags
      #~(list "GUILE_AUTO_COMPILE=0")
      #:phases
      #~(modify-phases %standard-phases
          (add-before 'bootstrap 'hall
            (lambda _
	      (system* "hall" "build" "-x")))
	  (replace 'bootstrap
            (lambda _
	      (system* "autoreconf" "-vif"))))))
    (native-inputs (list autoconf
			 automake
			 guile-hall
			 pkg-config
			 texinfo))
    (inputs (list guile-3.0))
    (synopsis "Guile port of termenv")
    (description
     "A library to provide easy control of terminals from Guile using terminal control codes.")
    (home-page "https://git.solarpunk.moe/solarpunk-guile/guile-termenv")
    (license license:gpl3+)))
